Skip to main content
Retrieves a list of Invoices (all or filtered). This can be used to get a cross-account list of invoices, or for a given Subscription using the “subscription” query parameter (see example).

HTTP Request

GET https://api.vindicia.com/invoices

Route (URL) Parameters

None.

Query Parameters

Accepts

None.

Returns

JSON - A list array with a data property that contains an array of up to limit Invoices, starting after the specified starting_after Invoice (or ending before the specified ending_before Invoice). Each entry in the array is a full Invoice object. If no more Invoice are available, the resulting array will be empty. This request should never throw an error. A list of Invoice objects matching the query. Also:
  • “total_count”: Integer count of the number of Invoices in the returned list.
  • “url”: The query string provided in the request
  • “next”: The route (partial URL) to the next Invoice object (string to select the “next”); included id should match that of the last object returned here
  • “previous”: The route (partial URL) to the previous Invoice object (string to select the “previous”); included id should match that of the first object returned here

Example Request

The above command returns JSON structured like this:
Parent topic:Invoices